using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Services;
using System.Data.SqlClient;
using System.IO;

public partial class DemoDynamicPopulate : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    [WebMethod]
    public string GetHtml(string contextKey)
    {
        System.Threading.Thread.Sleep(2000); 

        string html = GetProducts(Convert.ToInt32(contextKey));
        return html; 
    }


    private string GetProducts(int categoryID)
    {
        string connectionString = "Server=localhost;Database=Northwind;Trusted_Connection=true";
        SqlConnection myConnection = new SqlConnection(connectionString);
        SqlCommand myCommand = new SqlCommand("SELECT ProductID, ProductName FROM Products WHERE CategoryID = @CategoryID", myConnection);
        myCommand.Parameters.AddWithValue("@CategoryID", categoryID); 
        SqlDataAdapter ad = new SqlDataAdapter(myCommand);

        DataSet ds = new DataSet();
        ad.Fill(ds);

        GridView gv = new GridView();
        gv.ID = "GridView1";        
        gv.DataSource = ds;
        gv.DataBind();
        
        StringWriter sw = new StringWriter();
        
        HtmlTextWriter htw = new HtmlTextWriter(sw);

        gv.RenderControl(htw);
        htw.Close(); 

        return sw.ToString();
    }
   
    
   
}
