<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DemoDynamicPopulate.aspx.cs" Inherits="DemoDynamicPopulate" %>

<%@ Register Assembly="AtlasControlToolkit" Namespace="AtlasControlToolkit" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Demo Dynamic Populate</title>
    
   <style type="text/css">
    
    .dynamicPopulate_Updating 
{
	background-image:url(images/loading.gif);
	background-repeat:no-repeat;
	border:silver 1px inset;
	text-align:center;
	padding:2px;
	height:2em;
	margin:5px;
	width:200px;
}
    
    </style>
    
    
</head>
<body>
    <form id="form1" runat="server">
    
    <atlas:ScriptManager ID="sm1" runat="server" EnablePartialRendering="true" />
    
    <div>
       
        <label id="label1" for="rbBeverages">
            <input id="rbBeverages" checked="checked" name="fbCategories" onclick="updateKey(this.value)"
                type="radio" value="1" />
            Beverages
        </label>
        <label id="label2" for="rbSeafood">
            <input id="rbSeafood" name="fbCategories" onclick="updateKey(this.value)" type="radio"
                value="8" />
            Seafood
        </label>
        
        
        <asp:Panel ID="Panel1" runat="server">
        
        
        
        </asp:Panel>
        
        <cc1:DynamicPopulateExtender ID="DynamicPopulateExtender1" runat="server">
        <cc1:DynamicPopulateProperties ID="dp1"  ClearContentsDuringUpdate="true" ServiceMethod="GetHtml" TargetControlID="Panel1" UpdatingCssClass="dynamicPopulate_Updating" />
        </cc1:DynamicPopulateExtender>
        
        
    </div>
    </form>
</body>
</html>

<script language="javascript" type="text/javascript">

function updateKey(value) 
{
    var behavior = $object('dp1'); 
    
    if(behavior) 
    {
        behavior.populate(value);  
    } 
}

Sys.Application.load.add( function() { updateKey('1'); } );

</script>
